{% extends '@PiCRUD/list.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('map') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('map', attributes={defer: true, async: true}) }}
{% endblock %}

{% block content_body_description %}
    <div class="row pt-4">
        <div class="col-12 col-lg-10 offset-lg-1">
            <a href="https://vikazimut.vikazim.fr/" class="d-block d-md-inline btn btn-outline-vikazimut mr-0 mr-md-4">
                Voir sur Vikazimut
            </a>
            <a id="map-button" class="d-block d-md-inline btn btn-outline-primary mt-4 mt-md-0">
                Voir sur une carte
            </a>
            <div class="my-4">
                <div class="d-none" id="map" type="multiple"></div>
            </div>
        </div>
    </div>
{% endblock content_body_description %}

{% block content_body_entities %}
    {% for city, group in entities %}
        <div class="row pt-4">
            <div class="col-12 col-lg-10 offset-lg-1">
                <h2 class="text-balise">{{ city|default('Autre') }}</h2>
            </div>
        </div>
        <div class="row">
            <div class="col-12 col-lg-10 offset-lg-1">
                <div class="row d-block d-md-flex overflow-auto text-nowrap">
                    {% for entity in group %}
                        {% if entity.latitude is defined and entity.latitude is not empty and entity.longitude is defined and entity.longitude is not empty %}
                            <div class="d-none coordinates" data-lat="{{ entity.latitude }}" data-lon="{{ entity.longitude }}" data-title="{{ entity.title }}" data-url="{{ entity.file is defined and entity.file is not empty ? 'files/' ~ entity.file.fileName }}"></div>
                        {% endif %}

                        {% set class = (1 == group|length ? 'col-12 col-md-4 col-lg-3 d-inline-block d-md-block text-wrap' : 'col-10 col-md-4 col-lg-3 d-inline-block d-md-block text-wrap') %}

                        {% if is_granted('show', entity) %}
                            {{ render(path('pi_crud_item', {
                                'id': entity.id,
                                'type': type,
                                'format': 'default',
                                'class': class,
                            })) }}
                        {% endif %}
                    {% endfor %}
                </div>
            </div>
        </div>

    {% else %}
        <div class="row pt-4">
            <div class="col-12 col-lg-10 offset-lg-1">
                <p class="lead">{{ 'pi_crud.list.empty_result'|trans({'entity_label': type}) }}</p>
            </div>
        </div>
    {% endfor %}
{% endblock content_body_entities %}